/****************************************************************************
**
** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Nokia Corporation (qt-info@nokia.com)
**
** This file is part of the Qt Components project on Qt Labs.
**
** No Commercial Usage
** This file contains pre-release code and may not be distributed.
** You may use this file in accordance with the terms and conditions contained
** in the Technology Preview License Agreement accompanying this package.
**
** GNU Lesser General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** If you have questions regarding the use of this file, please contact
** Nokia at qt-info@nokia.com.
**
****************************************************************************/

//![0]
import QtQuick 1.0
import Qt.labs.components.native 1.0

Window {
    id: mainwindow

    property Item musicPickerPage

    Player {
        id: player

        onPlaylistLoaded: {
            if (player.playlistModel.count == 0) {
                pageStack.clear()
                pageStack.push([controlPage, playlistPage, musicPickerPage])
            }
        }
    }

    StatusBar {id: statusbar}

    PageStack {
        id: pageStack

        anchors.top: statusbar.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.bottom: toolbar.top
        toolBar: toolbar

        ControlsPage {id: controlPage }
        PlaylistPage {id: playlistPage }
    }

    ToolBar {
        id: toolbar

        anchors.bottom: parent.bottom
        anchors.left: parent.left
        anchors.right: parent.right
    }

    Component.onCompleted: {
        // Create the musicPickerPage depending on document gallery support
        var musicPicker = documentGallery ? "GalleryPage.qml" : "FilePickerPage.qml"
        var musicPickerComponent = Qt.createComponent(musicPicker);

        musicPickerPage = musicPickerComponent.createObject(pageStack)
        pageStack.push(controlPage)
    }
}
//![0]
